LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Client.UI.Content.Input

Contents

- Internal operations

Description

The default game key-command mapping to be used for UI. Can be overridden via macros in the config file.

Synopsis

- standardKeysAndMouse :: InputContentRaw
- applyTs :: [TriggerItem]

# Documentation

standardKeysAndMouse :: InputContentRaw Source #

Description of default key-command bindings.

In addition to these commands, mouse and keys have a standard meaning when navigating various menus.

# Internal operations

applyTs :: [TriggerItem] Source #